--[[
Copyright (c) 2006, Hendrik Leppkes < mail@nevcairiel.net >
All rights reserved.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are 
met:

    * Redistributions of source code must retain the above copyright
       notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above 
       copyright notice, this list of conditions and the following 
       disclaimer in the documentation and/or other materials provided 
       with the distribution.
    * Neither the name of the Bartender3 Development Team nor the names of 
       its contributors may be used to endorse or promote products derived 
       from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE 
USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]
--[[ $Id: Defaults.lua 31652 2007-04-02 11:33:10Z nevcairiel $ ]]

function Bartender3:SetupDefaults()
	self.defaults = {
		Bars = {
			['**'] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Buttons = 12,
				StatesEnabled = false,
				ShowGrid = false,
				Style = "Dreamlayout",
				States = {},
				Stances = {},
				HideHotkey = false,
				HideMacrotext = false,
				FadeOut = false,
			},
			[1] = {
				StatesEnabled = true,
			},
			[2] = {
				Enabled = false,
			},
			[3] = {
				Rows = 12,
			},
			[4] = {
				Rows = 12,
			},
			[5] = {
			},
			[6] = {
			},
			[7] = {
				Enabled = false,
			},
			[8] = {
				Enabled = false,
			},
			[9] = {
				Enabled = false,
			},
			[10] = {
				Enabled = false,
			},
		},
		SpecialBars = {
			['**'] = {
				Rows = 1,
				Padding = 0,
				Scale = 1,
				Alpha = 1,
				Hide = false,
				Enabled = true,
				Style = "Dreamlayout",
				FadeOut = false,
			},
			["STANCE"] = {
			},
			["PET"] = {
			},
			["MICROMENU"] = {
				Padding = -4,
				Style = "Default",
			},
			["BAGS"] = {
				Padding = 1,
				Keyring = true,
				OneBag = false,
			},
			["XP"] = {
				Hide = true,
				Style = "Default",
			},
		},
		HideTooltip = false,
		SelfCastModifier = true,
		SelfCastRightClick = false,
		ButtonLock = false,
		OutOfRange = true,
	}
	
	self.defaultpositions = {
		[1] = {
			PosX = -5,
			PosY = -5,
			Anchor = "BOTTOMLEFT",
		},
		[2] = {
			PosX = 300,
			PosY = 300,
			Anchor = "BOTTOMLEFT",
		},
		[3] = {
			PosX = -41,
			PosY = 100,
			Anchor = "BOTTOMRIGHT",
		},
		[4] = {
			PosX = -77,
			PosY = 100,
			Anchor = "BOTTOMRIGHT",
		},
		[5] = {
			PosX = -5,
			PosY = 67,
			Anchor = "BOTTOMLEFT",
		},
		[6] = {
			PosX = -5,
			PosY = 31,
			Anchor = "BOTTOMLEFT",
		},
		[7] = {
			PosX = 300,
			PosY = 336,
			Anchor = "BOTTOMLEFT",
		},
		[8] = {
			PosX = 300,
			PosY = 372,
			Anchor = "BOTTOMLEFT",
		},
		[9] = {
			PosX = 300,
			PosY = 408,
			Anchor = "BOTTOMLEFT",
		},
		[10] = {
			PosX = 300,
			PosY = 444,
			Anchor = "BOTTOMLEFT",
		},
		["STANCE"] = {
			PosX = 20,
			PosY = 123,
			Anchor = "BOTTOMLEFT",
		},
		["PET"] = {
			PosX = 20,
			PosY = 153,
			Anchor = "BOTTOMLEFT",
		},
		["MICROMENU"] = {
			PosX = -208,
			PosY = -5,
			Anchor = "BOTTOMRIGHT",
		},
		["BAGS"] = {
			PosX = -213,
			PosY = 33,
			Anchor = "BOTTOMRIGHT",
		},
		["XP"] = {
			PosX = 0,
			PosY = 0,
			Anchor = "BOTTOMLEFT",
		},
	}
	
	self:RegisterDefaults('profile', self.defaults)
end
